com.buschmais.jqassistant.plugin.java.api.report

## Enum Java.JavaLanguageElement

- java.lang.Object
- - java.lang.Enum<Java.JavaLanguageElement>
  - - com.buschmais.jqassistant.plugin.java.api.report.Java.JavaLanguageElement

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.report.api.LanguageElement, Serializable, Comparable<Java.JavaLanguageElement>
  Enclosing class:
    Java

      public static enum Java.JavaLanguageElement
      extends Enum<Java.JavaLanguageElement>
      implements com.buschmais.jqassistant.core.report.api.LanguageElement

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Constructor`
    `Field`
    `Method`
    `MethodInvocation`
    `Package`
    `ReadField`
    `Type`
    `WriteField`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLanguage()`
    `static Java.JavaLanguageElement` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Java.JavaLanguageElement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.report.api.LanguageElement

      `getSourceProvider, name`

- - ### Enum Constant Detail

    - #### Package

          public static final Java.JavaLanguageElement Package

    - #### Type

          public static final Java.JavaLanguageElement Type

    - #### Field

          public static final Java.JavaLanguageElement Field

    - #### ReadField

          public static final Java.JavaLanguageElement ReadField

    - #### WriteField

          public static final Java.JavaLanguageElement WriteField

    - #### Method

          public static final Java.JavaLanguageElement Method

    - #### Constructor

          public static final Java.JavaLanguageElement Constructor

    - #### MethodInvocation

          public static final Java.JavaLanguageElement MethodInvocation

  - ### Method Detail

    - #### values

          public static Java.JavaLanguageElement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Java.JavaLanguageElement c : Java.JavaLanguageElement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Java.JavaLanguageElement valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLanguage

          public String getLanguage()

      Specified by:
        `getLanguage` in interface `com.buschmais.jqassistant.core.report.api.LanguageElement`

Copyright © 2015 buschmais GbR. All rights reserved.